CVE-2005-1453
CVSS5.0
发布时间 :2005-05-05 00:00:00
修订时间 :2011-03-07 21:22:00
NMCOS    

[原文]fetchnews in leafnode 1.9.48 to 1.11.1 allows remote NNTP servers to cause a denial of service (crash) by closing the connection while fetchnews is reading (1) an article header or (2) an article body, which also prevents fetchnews from querying other servers.


[CNNVD]Leafnode fetchnews Client Article Body远程拒绝服务漏洞(CNNVD-200505-925)

        leafnode 1.9.48 至1.11.1版本中的fetchnews允许远程NNTP服务器通过在fetchnews正在读取(1)一个文章标题或(2)一个文章正文时关闭连接,同时阻止fetchnews查询其他服务器,来发起拒绝服务攻击(崩溃)。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:leafnode:leafnode:1.9.52
cpe:/a:leafnode:leafnode:1.10.0
cpe:/a:leafnode:leafnode:1.9.53
cpe:/a:leafnode:leafnode:1.11.1
cpe:/a:leafnode:leafnode:1.9.48

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1453
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1453
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-925
(官方数据源) CNNVD

- 其它链接及资源

http://leafnode.sourceforge.net/leafnode-SA-2005-01.txt
(PATCH)  CONFIRM  http://leafnode.sourceforge.net/leafnode-SA-2005-01.txt
http://www.vupen.com/english/advisories/2005/0468
(UNKNOWN)  VUPEN  ADV-2005-0468
http://secunia.com/advisories/15252
(VENDOR_ADVISORY)  SECUNIA  15252

- 漏洞信息

Leafnode fetchnews Client Article Body远程拒绝服务漏洞
中危 其他
2005-05-05 00:00:00 2005-10-20 00:00:00
远程  
        leafnode 1.9.48 至1.11.1版本中的fetchnews允许远程NNTP服务器通过在fetchnews正在读取(1)一个文章标题或(2)一个文章正文时关闭连接,同时阻止fetchnews查询其他服务器,来发起拒绝服务攻击(崩溃)。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Leafnode Leafnode 1.11.1
        Leafnode leafnode-1.11.2.rel.tar.bz2
        http://sourceforge.net/project/showfiles.php?group_id=57767&package_id =53446&release_id=325112
        Leafnode Leafnode 1.9.48
        Leafnode leafnode-1.11.2.rel.tar.bz2
        http://sourceforge.net/project/showfiles.php?group_id=57767&package_id =53446&release_id=325112
        Leafnode Leafnode 1.9.49
        Leafnode leafnode-1.11.2.rel.tar.bz2
        http://sourceforge.net/project/showfiles.php?group_id=57767&package_id =53446&release_id=325112
        Leafnode Leafnode 1.9.50
        Leafnode leafnode-1.11.2.rel.tar.bz2
        http://sourceforge.net/project/showfiles.php?group_id=57767&package_id =53446&release_id=325112
        Mandriva leafnode-1.10.4-1.1.101mdk.i586.rpm
        Mandriva Linux 10.1
        http://www1.mandrivalinux.com/en/ftp.php3
        Mandriva leafnode-1.10.4-1.1.101mdk.x86_64.rpm
        Mandriva Linux 10.1/x86_64
        http://www1.mandrivalinux.com/en/ftp.php3
        Mandriva leafnode-1.10.4-1.1.102mdk.i586.rpm
        Mandriva Linux 10.2
        http://www1.mandrivalinux.com/en/ftp.php3
        Mandriva leafnode-1.10.4-1.1.102mdk.x86_64.rpm
        Mandriva Linux 10.2/x86_64
        http://www1.mandrivalinux.com/en/ftp.php3
        Mandriva leafnode-1.9.46-1.1.C30mdk.i586.rpm
        Mandriva Corporate Server 3.0
        http://www1.mandrivalinux.com/en/ftp.php3
        Mandriva leafnode-1.9.46-1.1.C30mdk.x86_64.rpm
        Mandriva Corporate Server 3.0/x86_64
        http://www1.mandrivalinux.com/en/ftp.php3
        

- 漏洞信息

16187
leafnode fetchnews Article Transfer Disconnect DoS
Remote / Network Access Denial of Service
Loss of Availability Upgrade
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-05-04 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.11.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Leafnode fetchnews Client Article Body Remote Denial of Service Vulnerability
Failure to Handle Exceptional Conditions 13492
Yes No
2005-05-03 12:00:00 2009-07-12 02:06:00
The vendor announced this issue.

- 受影响的程序版本

Mandriva Linux Mandrake 10.2 x86_64
Mandriva Linux Mandrake 10.2
Mandriva Linux Mandrake 10.1 x86_64
Mandriva Linux Mandrake 10.1
Leafnode Leafnode 1.11.1
Leafnode Leafnode 1.9.50
Leafnode Leafnode 1.9.49
Leafnode Leafnode 1.9.48
Leafnode Leafnode 1.11.2

- 不受影响的程序版本

Leafnode Leafnode 1.11.2

- 漏洞讨论

Fetchnews is prone to a remote denial of service vulnerability that may allow a remote attacker to cause the software to hang.

The vulnerability manifests when an upstream news server terminates the connection abruptly after fetchnews has requested an article body and before the data transfer is complete.

This vulnerability affects Leafnode 1.9.48 to 1.11.1. The vendor has advised that versions 1.11.2 and newer are not vulnerable to this issue.

- 漏洞利用

No exploit is required.

- 解决方案

The vendor has released leafnode version 1.11.2 to address this issue. Users are advised to upgrade to the fixed version.

Mandriva has released security announcement MDKSA-2005:114 addressing this issue. Please see the referenced advisory for details on obtaining and applying the appropriate updates.


Leafnode Leafnode 1.11.1

Leafnode Leafnode 1.9.48

Leafnode Leafnode 1.9.49

Leafnode Leafnode 1.9.50

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站